// ====================================================================================================
// An example executing a script.
//   See: https://www.vcssl.org/en-us/vnano/doc/tutorial/feature
// 
// スクリプトを実行するサンプルコードです。
//   参照: https://www.vcssl.org/ja-jp/vnano/doc/tutorial/feature
// 
// License: CC0 (Copyright Free)
// ====================================================================================================

import org.vcssl.nano.VnanoEngine;
import org.vcssl.nano.VnanoException;

public class ExampleApp5 {
    public static void main(String[] args) throws VnanoException {

        // Create a scripting engine of Vnano (= Vnano Engine).
        // Vnano Engine のインスタンスを生成
        VnanoEngine engine = new VnanoEngine();

        // Prepare the content of the script to be executed.
        // 実行するスクリプトの内容を用意
        String script =

            " int sum = 0;                 " +
            " for (int i=1; i<=100; i++) { " +
            "     sum += i;                " +
            " }                            " +
            " sum;                         " ;

        // Execute a script by Vnano Engine.
        // Vnano Engine でスクリプトを実行
        long result = (Long)engine.executeScript(script);
        System.out.println("result: " + result);
    }
}
